' NoteLister -- by grimskunk (March 2006)
'
' VBScript: AddLast v1.0
' -- prompts user for a new note
' -- adds the new note to the end of the notes
'

set WSHShell = CreateObject("Wscript.Shell")
set FSO = CreateObject("Scripting.FileSystemObject")

SamurizePath = WSHShell.RegRead("HKEY_CURRENT_USER\Software\Serious Samurize\General\DirPath")
NoteListerDataPath = SamurizePath&"Scripts\NoteLister\NoteListerData.txt"

NewNote = Trim(InputBox("Enter the new note to add to the end of the list.", "NoteLister: Add Last Note"))

if (Len(NewNote)) then
   REM // replace double-spaces with single-spaces
   Do Until (InStr(1, NewNote, "  ") = 0)
      NewNote = replace(NewNote, "  ", " ")
   Loop

   if (FSO.FileExists(NoteListerDataPath)) then
      set NotesListerFile = FSO.GetFile(NoteListerDataPath)

      if (NotesListerFile.Size < 1) then
         set NotesListerData = FSO.CreateTextFile(NoteListerDataPath)
         NotesListerData.Write(NewNote & vbCrLf)
         NotesListerData.Close
      else
         set NotesListerData = FSO.OpenTextFile(NoteListerDataPath)
         OldNotes = NotesListerData.ReadAll
	    NotesListerData.Close
         set NotesListerData = FSO.CreateTextFile(NoteListerDataPath)
         NotesListerData.Write(OldNotes)
	    NotesListerData.Write(NewNote & vbCrLf)
         NotesListerData.Close
      end if
   else
      set CreateNotes = FSO.CreateTextFile(NoteListerDataPath)
      CreateNotes.Write(NewNote & vbCrLf)
      CreateNotes.Close
   end if

   WSHShell.SendKeys "^%r"
end if