'NoteLister VBScript v.1.0 by grimskunk -- DisplayNotes function

set shell = CreateObject("Wscript.Shell")
set FSO = CreateObject("Scripting.FileSystemObject")

Samurize = shell.RegRead("HKEY_CURRENT_USER\Software\Serious Samurize\General\DirPath")
List = Samurize&"Scripts\NoteLister\NoteListerData.txt"

Function NoteLister()

' !NOTE!
' YOU CAN CHANGE THIS LINE IF YOU WANT TO DISPLAY MORE CHARACTERS PER LINE
MaxCharPerLine = 20

' YOU CAN CHANGE THIS LINE IF YOU WANT TO TURN ON/OFF WORD-WRAP
WordWrap = TRUE

LeftIndent = 3
MaxLineLength = MaxCharPerLine - LeftIndent


if (FSO.FileExists(List)) then
   set NotesFile = FSO.GetFile(List)

   if (NotesFile.Size < 1) then
      NoteLister = ""
   else
      set NotesStream = FSO.OpenTextFile(List)

      Dim NotesArray()
      ReadLines = 0
	 ReDim NotesArray(ReadLines + 1)
      NoteNum = 1

      do while (NotesStream.AtEndOfStream = FALSE)
	    Line = NotesStream.ReadLine
         if ((WordWrap = TRUE) AND (Len(Line) > MaxLineLength)) then
            SpacePos = InStrRev(Line, " ", (MaxLineLength + 1), 1)
            if (SpacePos = 0) then
               LineBreak = MaxLineLength
            else
               LineBreak = SpacePos
            end if

            NotesArray(ReadLines) = (NoteNum)  & ". " & Trim(Left(Line, LineBreak))

            NoteNum = NoteNum + 1 
            ReadLines = ReadLines + 1
            ReDim Preserve NotesArray(ReadLines + 1)
            
            Line = Trim(Mid(Line, LineBreak + 1, Len(Line)))

            do while (Len(Line) >  0)
               if (Len(Line) > MaxLineLength) then
                  SpacePos = InStrRev(Line, " ", (MaxLineLength + 1), 1)
                  if (SpacePos = 0) then
                     LineBreak = MaxLineLength
                  else
                     LineBreak = SpacePos
                  end if

                  NotesArray(ReadLines) = "    " & Trim(Left(Line, LineBreak))
                  Line = Trim(Right(Line, Len(Line) - LineBreak))
               else
                  NotesArray(ReadLines) = "    " & Trim(Line)
                  Line = ""
               end if

               ReadLines = ReadLines + 1
			ReDim Preserve NotesArray(ReadLines + 1)
            loop
         else
            NotesArray(ReadLines) = (NoteNum) & ". " & Line
		  ReadLines = ReadLines + 1        
            ReDim Preserve NotesArray(ReadLines + 1)
            NoteNum = NoteNum + 1
         end if
      loop

      NotesStream.Close
      NoteLister = Join(NotesArray, vbCrLf)
   end if
else
   NoteLister = ""
end if

End Function