' NoteLister -- by grimskunk (March 2006)
'
' VBScript: RemoveNoteNumber v1.0
' -- prompts user for note to remove by its associated note number; 
' -- if its a valid note number: removes selected note from NoteListerData.txt
'

set WSHShell = CreateObject("Wscript.Shell")
set FSO = CreateObject("Scripting.FileSystemObject")

SamurizePath = WSHShell.RegRead("HKEY_CURRENT_USER\Software\Serious Samurize\General\DirPath")

Input = Trim(InputBox("Remove which note number?", "NoteLister: Remove Note Number"))

LineNum = 0
Set RegEx = New RegExp
RegEx.Pattern = "^\d+\b"
if RegEx.Test(Input) then 
   Set Matches = RegEx.Execute(Input)
   if (Matches.Count = 1) then
      set Match = Matches(0)
      LineNum = Match.Value
   end if
else
   if (Len(Input) > 0) then
      result = MsgBox("Cannot remove note #" & Input & "." & (Chr(13) & Chr(10)) & (Chr(13) & Chr(10)) & Chr(34) & Input & Chr(34) & " is not a valid note number.", vbExclamation, "NoteLister: Remove Note Number - Error")
   end if
end if

Continue = TRUE

if (LineNum = 0) then
   Continue = FALSE
else
   LineNum = Int(LineNum)
end if

' test notes file exists, that its not empty, meanwhile count number of lines
if (Continue = TRUE) then
   NoteListerDataPath = SamurizePath&"Scripts\NoteLister\NoteListerData.txt"

   NumLines = 0
   if (FSO.FileExists(NoteListerDataPath)) then
      set NotesListerFile = FSO.GetFile(NoteListerDataPath)
      Filename = NotesListerFile.Name

      if (NotesListerFile.Size) then
         set NotesListerData = FSO.OpenTextFile(NoteListerDataPath)

         do while (NotesListerData.AtEndOfStream = FALSE)
            NotesListerData.ReadLine
            NumLines = NumLines + 1
         loop

         NotesListerData.Close
      else
         result = MsgBox("Cannot remove note." & (Chr(13) & Chr(10)) & (Chr(13) & Chr(10)) & "No notes to delete.", vbExclamation, "NoteLister: Remove Note Number - Error")
	    Continue = FALSE
      end if
   else
      result = MsgBox("Cannot remove note." & (Chr(13) & Chr(10)) & (Chr(13) & Chr(10)) & "The NoteLister data file could not be found at:" & (Chr(13) & Chr(10)) & NoteListerDataPath, vbExclamation, "NoteLister: Remove Note Number - Error")
      Continue = FALSE
   end if
end if

'test input is within range of valid line numbers
if (Continue = TRUE) then
   if (LineNum > NumLines) then
      result = MsgBox("Cannot remove note #" & Input & "." & (Chr(13) & Chr(10)) & (Chr(13) & Chr(10)) & Chr(34) & Input & Chr(34) & " is not a valid note number.", vbExclamation, "NoteLister: Remove Note Number - Error")
      Continue = FALSE
   end if
end if

'load notes file, skipping entered line number, then save/refresh/exit
if (Continue = TRUE) then
   set NotesListerData = FSO.OpenTextFile(NoteListerDataPath)

   TempDataPath = SamurizePath&"Scripts\NoteLister\NoteListerData.000"

   set TempData = FSO.CreateTextFile(TempDataPath)

   CurrLineNum = 0
   do while (NotesListerData.AtEndOfStream = FALSE)
      CurrLineNum = CurrLineNum + 1     
      if (CurrLineNum = LineNum) then
         NotesListerData.SkipLine
      else
         Line = NotesListerData.ReadLine
         TempData.Write(Line & vbCrLf)
      end if
   loop

   NotesListerData.Close
   TempData.Close

   NotesListerFile.Delete

   set NotesListerFile = FSO.GetFile(TempDataPath)
   NotesListerFile.Name = Filename

   WSHShell.SendKeys "^%r"
end if
